local function casting_machine_update(entity_name)
    local casting_machine = data.raw['assembling-machine'][entity_name]
    if not casting_machine then
        log('Warning: ding dong... something went wrong: "' ..tostring(entity_name).. '" dosent exist!')
        return
    end

    if not casting_machine.fluid_boxes then
        casting_machine.fluid_boxes = {}
    end

    local output_fluidbox = {}
    output_fluidbox.production_type = "output"
    output_fluidbox.pipe_covers = pipecoverspictures()
    output_fluidbox.base_area = 10
    output_fluidbox.base_level = 1
    output_fluidbox.pipe_connections = {{ position = {2, -1} }}

    table.insert(casting_machine.fluid_boxes, output_fluidbox)

    log('Info: casting_machine.update(): "' ..tostring(entity_name).. '" updated.')
    log('== ========================== ==\n')
    log(serpent.block( casting_machine, {comment = false, numformat = '%1.8g' } ))
end

casting_machine_update('assembling-machine-1')
casting_machine_update('chemical-plant')